#include "tests/ArrayTests.h"
#include "tests/HashMapTests.h"
#include "tests/ListTests.h"
#include "tests/BitArrayTests.h"
#include "tests/StringBufferTests.h"
#include "tests/RandomTests.h"
#include "tests/RingBufferTests.h"
#include "tests/SplitStringTests.h"
#include "tests/VectorTests.h"
#include "tests/MatrixTests.h"
#include "tests/StackTests.h"
#include "tests/MatrixStackTests.h"
#include "tests/PlaneTests.h"
#include "tests/FrustumTests.h"
#include "tests/QuaternionTests.h"
#include "tests/UtilsTests.h"
#include "tests/ColorTests.h"

int main() {
    ArrayTests::test();
    HashMapTests::test();
    ListTests::test();
    BitArrayTests::test();
    StringBufferTests::test();
    RandomTests::test();
    RingBufferTests::test();
    SplitStringTests::test();
    VectorTests::test();
    MatrixTests::test();
    StackTests::test();
    MatrixStackTests::test();
    PlaneTests::test();
    FrustumTests::test();
    QuaternionTests::test();
    UtilsTests::test();
    ColorTests::test();
    return 0;
}